@echo off

:: Please adapt following pathes to your environment

set ANDROID_HOME=C:\AndroidSdk
set JAVA_HOME=C:\Program Files\Java\jdk-17
set CMAKE_PACKAGE=3.10.2.4988404


::----------------------------------------------------------------------------------
:: No adaptations should be needed below this line


set Title=Embedded Wizard Master Demo Downloader
title %Title%

echo *******************************************************************************
echo * Welcome to %Title%
echo *******************************************************************************
echo.


IF DEFINED BuildInitialized GOTO run

:: set the path to Android tools
set PATH=%ANDROID_HOME%\cmdline-tools\bin;%ANDROID_HOME%\platform-tools;%PATH%


set BuildInitialized=1

:run

:: do some checks
echo.

:run



if not exist "%ANDROID_HOME%\tools" (
  echo.
  echo Android SDK commandline tools not found on path:
  echo %ANDROID_HOME%\cmdline-tools.
  echo Please check your Android SDK tools installation or
  echo adapt ANDROID_HOME in 'devenv.cmd'.
  echo.
  echo Android SDK commandline tools can be downloaded from:
  echo https://developer.android.com/studio/#downloads
  echo [sdk-tools-windows-xxxxx.zip]
  echo.
  pause
  exit
)

setlocal EnableDelayedExpansion

if not exist "PlatformToolsInstallDone" (
  echo.
  echo The Android platform tools have to be installed ...
  pause
  call :downloadPackage "platform-tools"
  echo "done" > PlatformToolsInstallDone
  echo.
)

endlocal

echo.
echo All checks are passed!


exit /b 0


:downloadPackage
  call sdkmanager %~1 --sdk_root=%ANDROID_HOME%
  if "!ERRORLEVEL!" == "1" goto fail

  exit /b 0


:fail
echo.
echo ERROR occured during download of Android SDK components!
echo.
pause
exit 1